/* wmgotoxy.c (emx+gcc) -- Copyright (c) 1987-1993 by Eberhard Mattes */

#include <sys/winmgr.h>
#include "winmgr2.h"

void wm_gotoxy (wm_handle wh, int x, int y)
{
  if (wh->used != WM_USED)
    return;
  if (x >= 0 && x < wh->width && y >= 0 && y < wh->height)
    {
      wh->x = x;
      wh->y = y;
    }
  _wm_cursor1 ();
}
